=== modified file 'drizzled/drizzled.cc'
--- drizzled/drizzled.cc	2009-02-28 17:49:22 +0000
+++ drizzled/drizzled.cc	2009-03-02 15:59:22 +0000
@@ -347,16 +347,18 @@
 time_t server_start_time;
 time_t flush_status_time;
 
+/* FRM Junk */
+const char *reg_ext= ".frm";
+uint32_t reg_ext_length= 4;
+
 char drizzle_home[FN_REFLEN], pidfile_name[FN_REFLEN], system_time_zone[30];
 char *default_tz_name;
 char glob_hostname[FN_REFLEN];
 char drizzle_real_data_home[FN_REFLEN],
      language[FN_REFLEN], 
-     reg_ext[FN_EXTLEN],
      *opt_init_file, 
      *opt_tc_log_file;
 char drizzle_unpacked_real_data_home[FN_REFLEN];
-uint32_t reg_ext_length;
 const key_map key_map_empty(0);
 key_map key_map_full(0);                        // Will be initialized later
 
@@ -588,24 +590,6 @@
 }
 
 
-void unireg_init()
-{
-  abort_loop=0;
-
-  my_disable_async_io=1;		/* aioread is only in shared library */
-  wild_many='%'; wild_one='_'; wild_prefix='\\'; /* Change to sql syntax */
-
-  current_pid=(ulong) getpid();		/* Save for later ref */
-  init_time();				/* Init time-functions (read zone) */
-  my_abort_hook=unireg_abort;		/* Abort with close of databases */
-
-  strcpy(reg_ext,".frm");
-  reg_ext_length= 4;
-
-  return;
-}
-
-
 /**
   cleanup all memory and end program nicely.
 
@@ -648,7 +632,7 @@
 }
 
 
-void clean_up(bool print_message)
+static void clean_up(bool print_message)
 {
   if (cleanup_done++)
     return; /* purecov: inspected */
@@ -1479,7 +1463,9 @@
   /* connections and databases needs lots of files */
   (void) my_set_max_open_files(0xFFFFFFFF);
 
-  unireg_init(); /* Set up extern variabels */
+  current_pid=(ulong) getpid();		/* Save for later ref */
+  init_time();				/* Init time-functions (read zone) */
+
   if (init_errmessage())	/* Read error messages from file */
     return 1;
   if (item_create_init())
@@ -1857,7 +1843,7 @@
 
   if (drizzle_rm_tmp_tables() || my_tz_init((Session *)0, default_tz_name))
   {
-    abort_loop=1;
+    abort_loop= true;
     select_thread_in_use=0;
     (void) pthread_kill(signal_thread, SIGTERM);
 
@@ -2865,7 +2851,7 @@
   slave_open_temp_tables= 0;
   opt_endinfo= using_udf_functions= 0;
   opt_using_transactions= false;
-  abort_loop= select_thread_in_use= 0;
+  abort_loop= select_thread_in_use= false;
   ready_to_exit= shutdown_in_progress= 0;
   aborted_threads= aborted_connects= 0;
   max_used_connections= 0;
@@ -3327,7 +3313,7 @@
 
 
 static uint32_t find_bit_type_or_exit(const char *x, TYPELIB *bit_lib,
-                                   const char *option)
+                                      const char *option)
 {
   uint32_t res;
 

=== modified file 'drizzled/handler.h'
--- drizzled/handler.h	2009-02-21 05:34:53 +0000
+++ drizzled/handler.h	2009-03-02 15:59:22 +0000
@@ -1160,7 +1160,7 @@
 void table_case_convert(char * name, uint32_t length);
 const char *table_case_name(HA_CREATE_INFO *info, const char *name);
 
-extern char reg_ext[FN_EXTLEN];
+extern const char *reg_ext;
 extern uint32_t reg_ext_length;
 extern ulong specialflag;
 extern uint32_t lower_case_table_names;

=== modified file 'drizzled/unireg.h'
--- drizzled/unireg.h	2009-02-21 00:18:15 +0000
+++ drizzled/unireg.h	2009-03-02 15:59:22 +0000
@@ -155,7 +155,6 @@
 #define COLUMN_FORMAT_MASK 7
 #define COLUMN_FORMAT_SHIFT 3
 
-void unireg_init();
 void unireg_end(void) __attribute__((noreturn));
 void unireg_abort(int exit_code) __attribute__((noreturn));
 

=== modified file 'mysys/mf_wcomp.cc'
--- mysys/mf_wcomp.cc	2008-11-07 00:35:38 +0000
+++ mysys/mf_wcomp.cc	2009-03-02 15:59:22 +0000
@@ -20,9 +20,9 @@
 	/* Test if a string is "comparable" to a wild-card string */
 	/* returns 0 if the strings are "comparable" */
 
-char wild_many='*';
-char wild_one='?';
-char wild_prefix=0; /* QQ this can potentially cause a SIGSEGV */
+char wild_many='%';
+char wild_one='_';
+char wild_prefix= '\\';
 
 int wild_compare(register const char *str, register const char *wildstr,
                  bool str_is_pattern)

=== modified file 'mysys/my_static.cc'
--- mysys/my_static.cc	2009-01-19 07:30:16 +0000
+++ mysys/my_static.cc	2009-03-02 15:59:22 +0000
@@ -73,7 +73,7 @@
 error_handler_func error_handler_hook= NULL;
 
 	/* How to disable options */
-bool my_disable_async_io=0;
+bool my_disable_async_io= true;
 bool my_disable_flush_key_blocks=0;
 bool my_disable_symlinks=0;
 bool mysys_uses_curses=0;

=== modified file 'mysys/my_sys.h'
--- mysys/my_sys.h	2009-02-09 19:20:19 +0000
+++ mysys/my_sys.h	2009-03-02 15:59:22 +0000
@@ -167,7 +167,6 @@
 extern void_ptr_func my_sigtstp_cleanup,
 					/* Executed before jump to shell */
 	    my_sigtstp_restart;
-extern void_ptr_int_func my_abort_hook;
 					/* Executed when comming from shell */
 extern int my_umask,		/* Default creation mask  */
 	   my_umask_dir,

=== modified file 'storage/myisam/myisamchk.cc'
--- storage/myisam/myisamchk.cc	2009-02-09 19:20:19 +0000
+++ storage/myisam/myisamchk.cc	2009-03-02 15:59:22 +0000
@@ -561,7 +561,7 @@
     if (argument != disabled_my_option)
     {
       check_param.testflag|= T_REP;
-      my_disable_async_io= 1;		/* More safety */
+      my_disable_async_io= true;		/* More safety */
     }
     break;
   case 'n':

